ThreeLetterCodeGeneratorForename1Lastname2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class ThreeLetterCodeGeneratorForename1Lastname2

    java.lang.Object
      net.ctdp.rfdynhud.util.AbstractThreeLetterCodeGenerator
          net.ctdp.rfdynhud.util.ThreeLetterCodeGeneratorForename1Lastname2

All Implemented Interfaces:
  ThreeLetterCodeGenerator

    public class ThreeLetterCodeGeneratorForename1Lastname2

extends AbstractThreeLetterCodeGenerator

Standard implementation of the `ThreeLetterCodeGenerator`.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`ThreeLetterCodeGeneratorForename1Lastname2()`

Method Summary
`protected java.lang.String` | `generateThreeLetterCodeFromForeAndLastName(java.lang.String driverName, int lastSpacePos)` This method is called from `AbstractThreeLetterCodeGenerator.generateThreeLetterCode(String)`, if and only if the driverName contains a space and one character before it and after it.

Methods inherited from class net.ctdp.rfdynhud.util.AbstractThreeLetterCodeGenerator
`generateShortForm, generateShortFormFromForeAndLastName, generateThreeLetterCode, initThreeLetterCodeGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreeLetterCodeGeneratorForename1Lastname2

    public ThreeLetterCodeGeneratorForename1Lastname2()

Method Detail

### generateThreeLetterCodeFromForeAndLastName

    protected java.lang.String generateThreeLetterCodeFromForeAndLastName(java.lang.String driverName,
                                                                          int lastSpacePos)

  Description copied from class: `AbstractThreeLetterCodeGenerator`
  This method is called from `AbstractThreeLetterCodeGenerator.generateThreeLetterCode(String)`, if and only if the driverName contains a space and one character before it and after it.

  Specified by:
    `generateThreeLetterCodeFromForeAndLastName` in class `AbstractThreeLetterCodeGenerator`
  Parameters:
    `driverName` - the complete driver's name
    `lastSpacePos` - the last space position in the driverName
  Returns:
    the generated short form

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD